=== flash/uart_boot/Makefile ===
#             __________               __   ___.
#   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
#   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
#   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
#   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
#                     \/            \/     \/    \/            \/
# $Id$
#
# This Makefile currently works for cygwin only!


CFLAGS := -O -W -Wall -mno-cygwin

uart_boot: uart_boot.c client.c flash.c uart_win.c
	$(CC) $(CFLAGS) $+ -o $@

clean:
	-rm -f uart_boot.exe
