=== utils/skinupdater/Makefile ===
all:
	gcc -g -Wall -o skinupdater skinupdater.c tag_table.c
