=== debian/changelog ===
rockbox (2011-04-16maemo1) unstable; urgency=low

  * Fix premature idle shutdown after last track finished playing
  * Update to latest rockbox SVN code

 -- Thomas Jarosch <tomj@simonv.com>  Fri, 16 Apr 2011 19:15:00 +0100
