=== utils/rk27utils/rkboottool/Makefile ===
all: rkboottool

rkboottool: rkboottool.c
	gcc -g -std=c99 -o $@ -W -Wall $^

clean:
	rm -fr rkboottool
