=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Rockbox open source high quality audio player
 XB-Maemo-Display-Name: Rockbox audio player
-XB-Maemo-Upgrade-Description: Fix premature idle shutdown
- after last track finished playing. Update to latest rockbox SVN code
+XB-Maemo-Upgrade-Description: Update to rockbox 3.9 code base
 XSBC-Bugtracker: http://www.rockbox.org/tracker/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
